Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 428)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 444)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E16F0CEB0D7AD42200EC7A9E</string>
+				<string>E179D5F10D800B7800B34B28</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>NSOutlineView.h</string>
+				<string>ICeCoffEEWebPolicyDelegate.h</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,14 +209,20 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E16F0CEC0D7AD42200EC7A9E</string>
+						<string>E179D5F20D800B7800B34B28</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>NSOutlineView.h</string>
+						<string>ICeCoffEEWebPolicyDelegate.h</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E16F0D890D7AE85600EC7A9E</string>
+						<string>E179D6440D800FA400B34B28</string>
 						<key>history</key>
 						<array>
-							<string>E16F0CED0D7AD42200EC7A9E</string>
+							<string>E179D5F30D800B7800B34B28</string>
+							<string>E179D5F40D800B7800B34B28</string>
+						</array>
+						<key>prevStack</key>
+						<array>
+							<string>E179D5F50D800B7800B34B28</string>
+							<string>E179D5F60D800B7800B34B28</string>
 						</array>
 					</dict>
@@ -230,9 +236,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {849, 687}}</string>
+				<string>{{0, -1}, {1150, 1034}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>411 43 849 707 0 0 1920 1178 </string>
+				<string>1066 -314 1150 1054 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -241,7 +247,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E16F09020D7ABB3500EC7A9E</string>
+				<string>E179D52F0D7FF6DD00B34B28</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEEServicePrefController.h</string>
+				<string>ICeCoffEE.m</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -249,23 +255,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E16F09030D7ABB3500EC7A9E</string>
+						<string>E179D5300D7FF6DD00B34B28</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEEServicePrefController.h</string>
+						<string>ICeCoffEE.m</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E16F0D8A0D7AE85600EC7A9E</string>
+						<string>E179D6450D800FA400B34B28</string>
 						<key>history</key>
 						<array>
-							<string>E16F0BC30D7AC71200EC7A9E</string>
-							<string>E16F09060D7ABB3500EC7A9E</string>
-						</array>
-						<key>nextStack</key>
-						<array>
-							<string>E16F0BC40D7AC71200EC7A9E</string>
-						</array>
-						<key>prevStack</key>
-						<array>
-							<string>E16F09050D7ABB3500EC7A9E</string>
+							<string>E179D5BA0D80043500B34B28</string>
 						</array>
 					</dict>
@@ -279,9 +276,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {841, 947}}</string>
+				<string>{{0, -1}, {813, 726}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>1001 81 841 967 0 0 1920 1178 </string>
+				<string>1027 179 813 746 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -290,7 +287,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E16F04CF0D7A938100EC7A9E</string>
+				<string>E179D5A10D80035700B34B28</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>ICeCoffEELabeledIconCell.h</string>
+				<string>DOMCore.h</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -298,19 +295,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E16F04D00D7A938100EC7A9E</string>
+						<string>E179D5A20D80035700B34B28</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>ICeCoffEELabeledIconCell.h</string>
+						<string>DOMCore.h</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E16F0D8B0D7AE85600EC7A9E</string>
+						<string>E179D6460D800FA400B34B28</string>
 						<key>history</key>
 						<array>
-							<string>E16F05050D7A97C300EC7A9E</string>
-							<string>E16F05060D7A97C300EC7A9E</string>
-						</array>
-						<key>prevStack</key>
-						<array>
-							<string>E16F05070D7A97C300EC7A9E</string>
+							<string>E179D5A30D80035700B34B28</string>
 						</array>
 					</dict>
@@ -324,9 +316,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {841, 947}}</string>
+				<string>{{0, -1}, {1150, 1034}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>87 77 841 967 0 0 1920 1178 </string>
+				<string>998 -426 1150 1054 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -335,7 +327,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E16F0D630D7AE09300EC7A9E</string>
+				<string>E179D4720D7FE7CE00B34B28</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>NSWindow.h</string>
+				<string>ICeCoffEEConfig.h</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -343,14 +335,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E16F0D640D7AE09300EC7A9E</string>
+						<string>E179D4730D7FE7CE00B34B28</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>NSWindow.h</string>
+						<string>ICeCoffEEConfig.h</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E16F0D8C0D7AE85600EC7A9E</string>
+						<string>E179D6470D800FA400B34B28</string>
 						<key>history</key>
 						<array>
-							<string>E16F0D650D7AE09300EC7A9E</string>
+							<string>E179D46F0D7FE7A200B34B28</string>
 						</array>
 					</dict>
@@ -364,9 +356,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {881, 769}}</string>
+				<string>{{0, -1}, {750, 482}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>38 363 881 789 0 0 1920 1178 </string>
+				<string>1066 205 750 502 0 0 1920 1178 </string>
 			</dict>
 		</dict>
@@ -435,9 +427,6 @@
 										<string>29B97314FDCFA39411CA2CEA</string>
 										<string>E14993A503DE868D00050002</string>
-										<string>E12FEC3C04959F1C00AEFBF9</string>
-										<string>E1BF159F03DBA81600050002</string>
-										<string>E14E2B3F0C2CC01700AC18D0</string>
+										<string>29B97315FDCFA39411CA2CEA</string>
 										<string>E1BF154403DB950B00050002</string>
-										<string>29B97317FDCFA39411CA2CEA</string>
 										<string>29B97323FDCFA39411CA2CEA</string>
 									</array>
@@ -445,6 +434,6 @@
 									<array>
 										<array>
-											<integer>9</integer>
-											<integer>7</integer>
+											<integer>22</integer>
+											<integer>6</integer>
 											<integer>0</integer>
 										</array>
@@ -470,5 +459,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1596 407 323 756 0 0 1920 1178 </string>
+								<string>1594 417 323 756 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -505,4 +494,5 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
+										<string>E179D5ED0D800B7800B34B28</string>
 										<string>1C37FAAC04509CD000000102</string>
 									</array>
@@ -510,5 +500,4 @@
 									<array>
 										<array>
-											<integer>2</integer>
 											<integer>0</integer>
 										</array>
@@ -611,6 +600,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E16F04280D7A85CC00EC7A9E</string>
-				<string>E16F04290D7A85CC00EC7A9E</string>
+				<string>E179D4130D7FDAF800B34B28</string>
+				<string>E179D4140D7FDAF800B34B28</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -643,22 +632,23 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>E179D6150D800C5D00B34B28</string>
+		<string>E179D5FC0D800B7800B34B28</string>
+		<string>E179D5FD0D800B7800B34B28</string>
+		<string>E179D5FE0D800B7800B34B28</string>
+		<string>E179D5FF0D800B7800B34B28</string>
+		<string>E179D57E0D80020E00B34B28</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
 		<string>1C530D57069F1CE1000CFCEE</string>
-		<string>1C335F2C07B51CD20023D4EE</string>
-		<string>E16F09B40D7ABEE400EC7A9E</string>
-		<string>E16F07220D7AA97500EC7A9E</string>
-		<string>E16F07230D7AA97500EC7A9E</string>
-		<string>E16F07240D7AA97500EC7A9E</string>
-		<string>E16F0D630D7AE09300EC7A9E</string>
-		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>E16F04CF0D7A938100EC7A9E</string>
-		<string>E15464670D5EB85000C836EC</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>E16F09020D7ABB3500EC7A9E</string>
-		<string>E16F0CEB0D7AD42200EC7A9E</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>E179D4220D7FDD0700B34B28</string>
+		<string>E179D4720D7FE7CE00B34B28</string>
+		<string>E179D5A10D80035700B34B28</string>
+		<string>E179D52F0D7FF6DD00B34B28</string>
+		<string>E179D5F10D800B7800B34B28</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>1596 407 323 756 0 0 1920 1178 </string>
+	<string>1594 417 323 756 0 0 1920 1178 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -828,5 +818,5 @@
 								<string>{{0, 0}, {1092, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>795 126 1092 808 0 0 1920 1178 </string>
+								<string>799 133 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -841,5 +831,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 762}, {1092, 0}}</string>
+								<string>{{0, 432}, {1092, 330}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -856,5 +846,5 @@
 								<string>{{0, 5}, {1092, 762}}</string>
 								<key>RubberWindowFrame</key>
-								<string>795 126 1092 808 0 0 1920 1178 </string>
+								<string>799 133 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -879,5 +869,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E16F043A0D7A881100EC7A9E</string>
+				<string>E179D4BE0D7FEC1100B34B28</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -886,9 +876,9 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>795 126 1092 808 0 0 1920 1178 </string>
+			<string>799 133 1092 808 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -973,8 +963,8 @@
 									<string>{{463, 0}, {344, 310}}</string>
 									<key>RubberWindowFrame</key>
-									<string>11 49 807 570 0 0 1920 1178 </string>
+									<string>11 118 807 570 0 0 1920 1178 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>11 49 807 570 0 0 1920 1178 </string>
+								<string>11 118 807 570 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -999,20 +989,20 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E16F042B0D7A85CC00EC7A9E</string>
+				<string>E179D4C80D7FECC000B34B28</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E16F042C0D7A85CC00EC7A9E</string>
-				<string>E16F042D0D7A85CC00EC7A9E</string>
-				<string>E16F042E0D7A85CC00EC7A9E</string>
-				<string>E16F042F0D7A85CC00EC7A9E</string>
-				<string>E16F04300D7A85CC00EC7A9E</string>
+				<string>E179D4C90D7FECC000B34B28</string>
+				<string>E179D4CA0D7FECC000B34B28</string>
+				<string>E179D4CB0D7FECC000B34B28</string>
+				<string>E179D4CC0D7FECC000B34B28</string>
+				<string>E179D4CD0D7FECC000B34B28</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>11 49 807 570 0 0 1920 1178 </string>
+			<string>11 118 807 570 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1032,4 +1022,6 @@
 							<array>
 								<dict>
+									<key>BecomeActive</key>
+									<true/>
 									<key>ContentConfiguration</key>
 									<dict>
@@ -1037,5 +1029,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEEServicePrefController.m</string>
+										<string>ICeCoffEEConfig.h</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -1046,5 +1038,5 @@
 										<string>{{0, 0}, {848, 299}}</string>
 										<key>RubberWindowFrame</key>
-										<string>475 329 848 651 0 0 1920 1178 </string>
+										<string>489 119 848 651 0 0 1920 1178 </string>
 									</dict>
 									<key>Module</key>
@@ -1058,6 +1050,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1072,5 +1062,5 @@
 								<string>{{0, 304}, {848, 306}}</string>
 								<key>RubberWindowFrame</key>
-								<string>475 329 848 651 0 0 1920 1178 </string>
+								<string>489 119 848 651 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1095,11 +1085,11 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E16F0C980D7ACB2400EC7A9E</string>
-				<string>E16F0C990D7ACB2400EC7A9E</string>
+				<string>E179D4360D7FE28E00B34B28</string>
+				<string>E179D4370D7FE28E00B34B28</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>475 329 848 651 0 0 1920 1178 </string>
+			<string>489 119 848 651 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
@@ -1138,5 +1128,5 @@
 								<string>{{0, 0}, {1054, 596}}</string>
 								<key>RubberWindowFrame</key>
-								<string>866 36 1054 637 0 0 1920 1178 </string>
+								<string>25 36 1054 637 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1161,5 +1151,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E16F044E0D7A88D800EC7A9E</string>
+				<string>E179D4CE0D7FECC000B34B28</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1167,9 +1157,9 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>866 36 1054 637 0 0 1920 1178 </string>
+			<string>25 36 1054 637 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1234,5 +1224,5 @@
 								<string>{{0, 0}, {888, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>893 33 888 548 0 0 1920 1178 </string>
+								<string>705 115 888 548 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1279,5 +1269,5 @@
 								<string>{{0, 5}, {888, 502}}</string>
 								<key>RubberWindowFrame</key>
-								<string>893 33 888 548 0 0 1920 1178 </string>
+								<string>705 115 888 548 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -1302,5 +1292,5 @@
 			<array>
 				<string>E15464670D5EB85000C836EC</string>
-				<string>E16F04310D7A85CC00EC7A9E</string>
+				<string>E14D2D5B0D7FB64600994500</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1309,9 +1299,9 @@
 			<string>xcode.toolbar.config.scm</string>
 			<key>WindowString</key>
-			<string>893 33 888 548 0 0 1920 1178 </string>
+			<string>705 115 888 548 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>E15464670D5EB85000C836EC</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1430,6 +1420,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E16F09B40D7ABEE400EC7A9E</string>
-				<string>E16F09B50D7ABEE400EC7A9E</string>
+				<string>E1781A230D7BF2DF00105EE5</string>
+				<string>E1781A240D7BF2DF00105EE5</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1440,5 +1430,5 @@
 			<string>995 693 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
-			<string>E16F09B40D7ABEE400EC7A9E</string>
+			<string>E1781A230D7BF2DF00105EE5</string>
 			<key>WindowToolIsVisible</key>
 			<false/>