Index: trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/classes.nib	(revision 416)
+++ trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/classes.nib	(revision 450)
@@ -1,20 +1,78 @@
-{
-    IBClasses = (
-        {
-            ACTIONS = {installBundleInSelectedApp = id; }; 
-            CLASS = FSAApp; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {appList = FSAAppList; appListWindow = NSWindow; }; 
-            SUPERCLASS = NSApplication; 
-        }, 
-        {
-            CLASS = FSAAppList; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {installButton = NSButton; tableView = NSTableView; }; 
-            SUPERCLASS = NSObject; 
-        }, 
-        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
-        {CLASS = NJRScrollView; LANGUAGE = ObjC; SUPERCLASS = NSScrollView; }
-    ); 
-    IBVersion = 1; 
-}
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBClasses</key>
+	<array>
+		<dict>
+			<key>CLASS</key>
+			<string>FSATableView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSTableView</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>FirstResponder</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NJRScrollView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSScrollView</string>
+		</dict>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>installBundleInSelectedApp</key>
+				<string>id</string>
+			</dict>
+			<key>CLASS</key>
+			<string>FSAApp</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>appList</key>
+				<string>FSAAppList</string>
+				<key>appListWindow</key>
+				<string>NSWindow</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NSApplication</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSTableView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSControl</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>FSAAppList</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>installButton</key>
+				<string>NSButton</string>
+				<key>tableView</key>
+				<string>NSTableView</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+	</array>
+	<key>IBVersion</key>
+	<string>1</string>
+</dict>
+</plist>
Index: trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/info.nib	(revision 416)
+++ trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/info.nib	(revision 450)
@@ -1,23 +1,22 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
-	<key>IBDocumentLocation</key>
-	<string>113 166 356 240 0 0 1280 1002 </string>
-	<key>IBEditorPositions</key>
-	<dict>
-		<key>29</key>
-		<string>47 726 232 44 0 0 1280 1002 </string>
-	</dict>
 	<key>IBFramework Version</key>
-	<string>443.0</string>
+	<string>644</string>
+	<key>IBLastKnownRelativeProjectPath</key>
+	<string>../F-Script Anywhere.xcodeproj</string>
+	<key>IBOldestOS</key>
+	<integer>5</integer>
 	<key>IBOpenObjects</key>
 	<array>
+		<integer>233</integer>
 		<integer>29</integer>
-		<integer>195</integer>
-		<integer>229</integer>
+		<integer>196</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>8I127</string>
+	<string>9C7010</string>
+	<key>targetFramework</key>
+	<string>IBCocoaFramework</string>
 </dict>
 </plist>
Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 416)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.xcodeproj/project.pbxproj	(revision 450)
@@ -11,4 +11,5 @@
 		25D8A24C0CBD347A00EFA0BD /* Certificate.cer in Resources */ = {isa = PBXBuildFile; fileRef = 25D8A24B0CBD347A00EFA0BD /* Certificate.cer */; };
 		25EADA9609CD2D7100BCD8E1 /* bytesex.c in Sources */ = {isa = PBXBuildFile; fileRef = 25EADA9509CD2D7100BCD8E1 /* bytesex.c */; };
+		E12F24620D9A1572008A3616 /* FSATableView.m in Sources */ = {isa = PBXBuildFile; fileRef = E12F24580D9A1503008A3616 /* FSATableView.m */; };
 		E14C18BD05A4DE25000D4AF3 /* FSAInterpreterPanel.nib in Resources */ = {isa = PBXBuildFile; fileRef = F5680F7A020D0D0401AEEC37 /* FSAInterpreterPanel.nib */; };
 		E14C18BF05A4F013000D4AF3 /* Bullseye menu cursor.tiff in Resources */ = {isa = PBXBuildFile; fileRef = F5694E2702E96FFE01AEEDB1 /* Bullseye menu cursor.tiff */; };
@@ -87,4 +88,6 @@
 		29B97316FDCFA39411CA2CEA /* main.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
 		29B97319FDCFA39411CA2CEA /* English */ = {isa = PBXFileReference; lastKnownFileType = wrapper.nib; name = English; path = English.lproj/MainMenu.nib; sourceTree = "<group>"; };
+		E12F24570D9A1503008A3616 /* FSATableView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = FSATableView.h; sourceTree = "<group>"; };
+		E12F24580D9A1503008A3616 /* FSATableView.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = FSATableView.m; sourceTree = "<group>"; };
 		E14C1ECE05A8DB19000D4AF3 /* Ellipsis.tiff */ = {isa = PBXFileReference; lastKnownFileType = image.tiff; path = Ellipsis.tiff; sourceTree = SOURCE_ROOT; };
 		E1D652040575B3D50054F5D1 /* SCPatchLoader.bundle */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = SCPatchLoader.bundle; sourceTree = BUILT_PRODUCTS_DIR; };
@@ -348,4 +351,6 @@
 				F5EFC2D6020A6E0E01AEEDB1 /* FSAAppList.h */,
 				F5EFC2D7020A6E0E01AEEDB1 /* FSAAppList.m */,
+				E12F24570D9A1503008A3616 /* FSATableView.h */,
+				E12F24580D9A1503008A3616 /* FSATableView.m */,
 				F5EFC2E1020A6FD501AEEDB1 /* NJRLabeledImageCell.h */,
 				F5EFC2E0020A6FD501AEEDB1 /* NJRLabeledImageCell.m */,
@@ -545,4 +550,5 @@
 				E1D6B69F05A45CBF003838B0 /* SCPatchPrivate.c in Sources */,
 				25EADA9609CD2D7100BCD8E1 /* bytesex.c in Sources */,
+				E12F24620D9A1572008A3616 /* FSATableView.m in Sources */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAController.h
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAController.h	(revision 416)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAController.h	(revision 450)
@@ -43,4 +43,6 @@
 }
 
++ (void)createInterpreterWindow:(id)sender;
+
 - (id)initShowingInterpreter:(BOOL)showInterpreter;
 
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAController.m
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAController.m	(revision 416)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAController.m	(revision 450)
@@ -116,5 +116,9 @@
         }
     }
-
+    
+    // Open up a workspace if the user wants one
+    if ([[[[NSUserDefaults standardUserDefaults] persistentDomainForName: @"net.sabi.FScriptAnywhereApp"] objectForKey:@"OpenWorkspaceOnInstall"] boolValue]) {
+	[FSAController createInterpreterWindow: nil];
+    }
 }
 