Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 444)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 469)
@@ -31,4 +31,5 @@
 		E101A9D60D6F3F8800AB607D /* ICeCoffEETextViewTrigger.m in Sources */ = {isa = PBXBuildFile; fileRef = E101A9D50D6F3F8800AB607D /* ICeCoffEETextViewTrigger.m */; };
 		E101AA140D6F41C800AB607D /* ICeCoffEETTViewTrigger.m in Sources */ = {isa = PBXBuildFile; fileRef = E101AA130D6F41C800AB607D /* ICeCoffEETTViewTrigger.m */; };
+		E10B37B00DAD998700D42E44 /* ICeCoffEESharing.c in Sources */ = {isa = PBXBuildFile; fileRef = E10B37AF0DAD998700D42E44 /* ICeCoffEESharing.c */; };
 		E120DF0F08141D7E00BF8DDC /* ICeCoffEE Installer.app in CopyFiles */ = {isa = PBXBuildFile; fileRef = E120DF0C08141D5100BF8DDC /* ICeCoffEE Installer.app */; };
 		E120DF1108141D9F00BF8DDC /* ui.icns in CopyFiles */ = {isa = PBXBuildFile; fileRef = E1BF15A003DBAA4600050002 /* ui.icns */; };
@@ -45,4 +46,6 @@
 		E154648B0D5EBC0200C836EC /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F574113202F45276011A08DB /* Cocoa.framework */; };
 		E15466690D5ED6F000C836EC /* Cocoa.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F574113202F45276011A08DB /* Cocoa.framework */; };
+		E15D2BAC0DB904DF006486EE /* ICeCoffEEWebPDFViewSuper.m in Sources */ = {isa = PBXBuildFile; fileRef = E15D2BAA0DB904DF006486EE /* ICeCoffEEWebPDFViewSuper.m */; };
+		E15D2BAD0DB904DF006486EE /* ICeCoffEEWebPDFView.m in Sources */ = {isa = PBXBuildFile; fileRef = E15D2BAB0DB904DF006486EE /* ICeCoffEEWebPDFView.m */; };
 		E16EF8C30D78F7AF00367265 /* ICeCoffEEInvertingTextFieldCell.m in Sources */ = {isa = PBXBuildFile; fileRef = E11DBCBB0D78F34D0003517F /* ICeCoffEEInvertingTextFieldCell.m */; };
 		E16F043C0D7A881900EC7A9E /* ICeCoffEEMenuOutlineView.m in Sources */ = {isa = PBXBuildFile; fileRef = E16F04360D7A860900EC7A9E /* ICeCoffEEMenuOutlineView.m */; };
@@ -50,4 +53,6 @@
 		E170DFE00835D6F400B484AC /* ICeCoffEETrigger.m in Sources */ = {isa = PBXBuildFile; fileRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */; };
 		E179D5E00D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = E179D5DF0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.m */; };
+		E18931060D9DA16B005C7AA4 /* ICeCoffEEPDFView.m in Sources */ = {isa = PBXBuildFile; fileRef = E18931050D9DA16B005C7AA4 /* ICeCoffEEPDFView.m */; };
+		E189310A0D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.m in Sources */ = {isa = PBXBuildFile; fileRef = E18931090D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.m */; };
 		E191FC9F0831B8FB003B09BC /* ICeCoffEEServices.m in Sources */ = {isa = PBXBuildFile; fileRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */; };
 		E191FCA10831B8FB003B09BC /* ICeCoffEEServices.m in Sources */ = {isa = PBXBuildFile; fileRef = E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */; };
@@ -181,4 +186,6 @@
 		E101AA120D6F41C800AB607D /* ICeCoffEETTViewTrigger.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEETTViewTrigger.h; sourceTree = "<group>"; };
 		E101AA130D6F41C800AB607D /* ICeCoffEETTViewTrigger.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEETTViewTrigger.m; sourceTree = "<group>"; };
+		E10B37AE0DAD998700D42E44 /* ICeCoffEESharing.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEESharing.h; sourceTree = "<group>"; };
+		E10B37AF0DAD998700D42E44 /* ICeCoffEESharing.c */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.c; path = ICeCoffEESharing.c; sourceTree = "<group>"; };
 		E11DBCBB0D78F34D0003517F /* ICeCoffEEInvertingTextFieldCell.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEEInvertingTextFieldCell.m; sourceTree = "<group>"; };
 		E11DBCBC0D78F34D0003517F /* ICeCoffEEInvertingTextFieldCell.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEInvertingTextFieldCell.h; sourceTree = "<group>"; };
@@ -214,4 +221,8 @@
 		E14E2BC20C2CC28500AC18D0 /* urls.plist */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text.plist; path = urls.plist; sourceTree = "<group>"; };
 		E14E2D3E0C2CD1A000AC18D0 /* ApplicationServices.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = ApplicationServices.framework; path = /System/Library/Frameworks/ApplicationServices.framework; sourceTree = "<absolute>"; };
+		E15D2BA80DB904DF006486EE /* ICeCoffEEWebPDFView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEWebPDFView.h; sourceTree = "<group>"; };
+		E15D2BA90DB904DF006486EE /* ICeCoffEEWebPDFViewSuper.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEWebPDFViewSuper.h; sourceTree = "<group>"; };
+		E15D2BAA0DB904DF006486EE /* ICeCoffEEWebPDFViewSuper.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEEWebPDFViewSuper.m; sourceTree = "<group>"; };
+		E15D2BAB0DB904DF006486EE /* ICeCoffEEWebPDFView.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEEWebPDFView.m; sourceTree = "<group>"; };
 		E165AB3503E7A7FC00050002 /* ICeCoffEEAction.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEAction.h; sourceTree = "<group>"; };
 		E165AB3603E7A7FC00050002 /* ICeCoffEEAction.c */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.c; path = ICeCoffEEAction.c; sourceTree = "<group>"; };
@@ -226,4 +237,8 @@
 		E179D5DF0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEEWebPolicyDelegate.m; sourceTree = "<group>"; };
 		E182C8F603DE817F00050002 /* ICeCoffEEShared.m */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEEShared.m; sourceTree = "<group>"; };
+		E18931040D9DA16B005C7AA4 /* ICeCoffEEPDFView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEPDFView.h; sourceTree = "<group>"; };
+		E18931050D9DA16B005C7AA4 /* ICeCoffEEPDFView.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEEPDFView.m; sourceTree = "<group>"; };
+		E18931080D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEPDFViewSuper.h; sourceTree = "<group>"; };
+		E18931090D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEEPDFViewSuper.m; sourceTree = "<group>"; };
 		E191FC9C0831B8FB003B09BC /* ICeCoffEEServices.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEServices.h; sourceTree = "<group>"; };
 		E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = ICeCoffEEServices.m; sourceTree = "<group>"; };
@@ -366,4 +381,6 @@
 				E13762D103EC636D00050002 /* ICeCoffEEBookmarks.h */,
 				E13762D203EC636D00050002 /* ICeCoffEEBookmarks.c */,
+				E10B37AE0DAD998700D42E44 /* ICeCoffEESharing.h */,
+				E10B37AF0DAD998700D42E44 /* ICeCoffEESharing.c */,
 				E170DFDD0835D6F400B484AC /* ICeCoffEETrigger.h */,
 				E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */,
@@ -371,4 +388,5 @@
 				E1AFA51C03ECFDB000050001 /* NSTextView */,
 				E14D2D8C0D7FD78500994500 /* Terminal */,
+				E18931010D9DA13E005C7AA4 /* PDFKit */,
 				E14D2D8D0D7FD7AD00994500 /* WebKit */,
 				F5CD5EAA02DAE61A01AA4DA5 /* Exports.exp */,
@@ -468,4 +486,8 @@
 				E179D5DE0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.h */,
 				E179D5DF0D80082B00B34B28 /* ICeCoffEEWebPolicyDelegate.m */,
+				E15D2BA80DB904DF006486EE /* ICeCoffEEWebPDFView.h */,
+				E15D2BAB0DB904DF006486EE /* ICeCoffEEWebPDFView.m */,
+				E15D2BA90DB904DF006486EE /* ICeCoffEEWebPDFViewSuper.h */,
+				E15D2BAA0DB904DF006486EE /* ICeCoffEEWebPDFViewSuper.m */,
 			);
 			name = WebKit;
@@ -490,4 +512,15 @@
 			);
 			name = Tests;
+			sourceTree = "<group>";
+		};
+		E18931010D9DA13E005C7AA4 /* PDFKit */ = {
+			isa = PBXGroup;
+			children = (
+				E18931040D9DA16B005C7AA4 /* ICeCoffEEPDFView.h */,
+				E18931050D9DA16B005C7AA4 /* ICeCoffEEPDFView.m */,
+				E18931080D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.h */,
+				E18931090D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.m */,
+			);
+			name = PDFKit;
 			sourceTree = "<group>";
 		};
@@ -775,4 +808,9 @@
 				E101A9D60D6F3F8800AB607D /* ICeCoffEETextViewTrigger.m in Sources */,
 				E101AA140D6F41C800AB607D /* ICeCoffEETTViewTrigger.m in Sources */,
+				E18931060D9DA16B005C7AA4 /* ICeCoffEEPDFView.m in Sources */,
+				E189310A0D9DA1A9005C7AA4 /* ICeCoffEEPDFViewSuper.m in Sources */,
+				E10B37B00DAD998700D42E44 /* ICeCoffEESharing.c in Sources */,
+				E15D2BAC0DB904DF006486EE /* ICeCoffEEWebPDFViewSuper.m in Sources */,
+				E15D2BAD0DB904DF006486EE /* ICeCoffEEWebPDFView.m in Sources */,
 			);
 			runOnlyForDeploymentPostprocessing = 0;
@@ -936,5 +974,4 @@
 				FRAMEWORK_SEARCH_PATHS = /Library/Frameworks;
 				GCC_DYNAMIC_NO_PIC = NO;
-				GCC_ENABLE_FIX_AND_CONTINUE = YES;
 				GCC_GENERATE_DEBUGGING_SYMBOLS = YES;
 				GCC_OPTIMIZATION_LEVEL = 0;
@@ -948,5 +985,4 @@
 				);
 				WRAPPER_EXTENSION = plugin;
-				ZERO_LINK = NO;
 			};
 			name = Development;