Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 469)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 472)
@@ -196,46 +196,5 @@
 	<array/>
 	<key>OpenEditors</key>
-	<array>
-		<dict>
-			<key>Content</key>
-			<dict>
-				<key>PBXProjectModuleGUID</key>
-				<string>E15D2BA10DB8FE63006486EE</string>
-				<key>PBXProjectModuleLabel</key>
-				<string>APEMain.m</string>
-				<key>PBXSplitModuleInNavigatorKey</key>
-				<dict>
-					<key>Split0</key>
-					<dict>
-						<key>PBXProjectModuleGUID</key>
-						<string>E15D2BA20DB8FE63006486EE</string>
-						<key>PBXProjectModuleLabel</key>
-						<string>APEMain.m</string>
-						<key>_historyCapacity</key>
-						<integer>0</integer>
-						<key>bookmark</key>
-						<string>E15D2BAF0DB90519006486EE</string>
-						<key>history</key>
-						<array>
-							<string>E15D2BA60DB903BD006486EE</string>
-						</array>
-					</dict>
-					<key>SplitCount</key>
-					<string>1</string>
-				</dict>
-				<key>StatusBarVisibility</key>
-				<false/>
-			</dict>
-			<key>Geometry</key>
-			<dict>
-				<key>Frame</key>
-				<string>{{0, -1}, {856, 895}}</string>
-				<key>PBXModuleWindowStatusBarHidden2</key>
-				<true/>
-				<key>RubberWindowFrame</key>
-				<string>697 161 856 915 0 0 1920 1178 </string>
-			</dict>
-		</dict>
-	</array>
+	<array/>
 	<key>PerspectiveWidths</key>
 	<array>
@@ -303,6 +262,4 @@
 										<string>29B97315FDCFA39411CA2CEA</string>
 										<string>E14D2D920D7FD7D500994500</string>
-										<string>E14D2D8C0D7FD78500994500</string>
-										<string>E18931010D9DA13E005C7AA4</string>
 										<string>E14D2D8D0D7FD7AD00994500</string>
 										<string>E14343AE03DB48F700050002</string>
@@ -313,6 +270,5 @@
 									<array>
 										<array>
-											<integer>47</integer>
-											<integer>39</integer>
+											<integer>12</integer>
 											<integer>6</integer>
 											<integer>0</integer>
@@ -320,5 +276,5 @@
 									</array>
 									<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-									<string>{{0, 255}, {306, 670}}</string>
+									<string>{{0, 0}, {306, 670}}</string>
 								</dict>
 								<key>PBXTopSmartGroupGIDs</key>
@@ -339,5 +295,5 @@
 								</array>
 								<key>RubberWindowFrame</key>
-								<string>1594 415 323 756 0 0 1920 1178 </string>
+								<string>1596 414 323 756 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -379,5 +335,6 @@
 									<array>
 										<array>
-											<integer>7</integer>
+											<integer>1</integer>
+											<integer>0</integer>
 										</array>
 									</array>
@@ -478,6 +435,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E15D2B820DB8FA17006486EE</string>
-				<string>E15D2B830DB8FA17006486EE</string>
+				<string>E1C9F8270DC6E6E3009A48DE</string>
+				<string>E1C9F8280DC6E6E3009A48DE</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -510,12 +467,9 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
-		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>E1F413F80DC6A6C9007D6009</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
-		<string>E15D2BA10DB8FE63006486EE</string>
 	</array>
 	<key>WindowString</key>
-	<string>1594 415 323 756 0 0 1920 1178 </string>
+	<string>1596 414 323 756 0 0 1920 1178 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -603,6 +557,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -641,5 +593,5 @@
 			<array>
 				<string>1C335F2C07B51CD20023D4EE</string>
-				<string>E1DE29B40D85468100A43489</string>
+				<string>E1A724A80DC07EB000CEBB19</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -687,5 +639,5 @@
 								<string>{{0, 0}, {1092, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>788 330 1092 808 0 0 1920 1178 </string>
+								<string>767 134 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -695,6 +647,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -715,5 +665,5 @@
 								<string>{{0, 5}, {1092, 762}}</string>
 								<key>RubberWindowFrame</key>
-								<string>788 330 1092 808 0 0 1920 1178 </string>
+								<string>767 134 1092 808 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -738,5 +688,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E15D2B9A0DB8FB32006486EE</string>
+				<string>E1C9F7F30DC6DE54009A48DE</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -745,5 +695,5 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>788 330 1092 808 0 0 1920 1178 </string>
+			<string>767 134 1092 808 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
@@ -858,11 +808,11 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E15D2B880DB8FA17006486EE</string>
+				<string>E1C9F7F40DC6DE54009A48DE</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E15D2B890DB8FA17006486EE</string>
-				<string>E15D2B8A0DB8FA17006486EE</string>
-				<string>E15D2B8B0DB8FA17006486EE</string>
-				<string>E15D2B8C0DB8FA17006486EE</string>
-				<string>E15D2B8D0DB8FA17006486EE</string>
+				<string>E1C9F7F50DC6DE54009A48DE</string>
+				<string>E1C9F7F60DC6DE54009A48DE</string>
+				<string>E1C9F7F70DC6DE54009A48DE</string>
+				<string>E1C9F7F80DC6DE54009A48DE</string>
+				<string>E1C9F7F90DC6DE54009A48DE</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -896,5 +846,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>ICeCoffEETTView.m</string>
+										<string>&lt;No Editor&gt;</string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -954,6 +904,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E1B657B80DB7F1A000EE3D39</string>
-				<string>E1B657B90DB7F1A000EE3D39</string>
+				<string>E1C9F7FE0DC6DF24009A48DE</string>
+				<string>E1C9F7FF0DC6DF24009A48DE</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -964,5 +914,5 @@
 			<string>1C530D57069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -983,6 +933,4 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -1020,5 +968,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E15D2B940DB8FA6C006486EE</string>
+				<string>E1F414050DC6A6C9007D6009</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1030,5 +978,5 @@
 			<string>1C530D5B069F1CE1000CFCEE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -1289,6 +1237,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1C0F8250DAEB286009E2DE7</string>
-				<string>E1C0F8260DAEB286009E2DE7</string>
+				<string>E11CE7A10DB942FD004BED85</string>
+				<string>E11CE7A20DB942FD004BED85</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -1299,5 +1247,5 @@
 			<string>995 693 744 409 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
-			<string>E1C0F8250DAEB286009E2DE7</string>
+			<string>E11CE7A10DB942FD004BED85</string>
 			<key>WindowToolIsVisible</key>
 			<false/>