Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 474)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 475)
@@ -261,7 +261,7 @@
 										<string>E14993A503DE868D00050002</string>
 										<string>29B97315FDCFA39411CA2CEA</string>
-										<string>E14D2D920D7FD7D500994500</string>
+										<string>E14D2D8C0D7FD78500994500</string>
 										<string>E14D2D8D0D7FD7AD00994500</string>
-										<string>E14343AE03DB48F700050002</string>
+										<string>E14E2B3F0C2CC01700AC18D0</string>
 										<string>E1BF154403DB950B00050002</string>
 										<string>29B97317FDCFA39411CA2CEA</string>
@@ -270,6 +270,6 @@
 									<array>
 										<array>
-											<integer>12</integer>
-											<integer>6</integer>
+											<integer>2</integer>
+											<integer>1</integer>
 											<integer>0</integer>
 										</array>
@@ -435,6 +435,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1C9F8270DC6E6E3009A48DE</string>
-				<string>E1C9F8280DC6E6E3009A48DE</string>
+				<string>E11515E60DCBFBF4006DD925</string>
+				<string>E11515E70DCBFBF4006DD925</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -467,5 +467,7 @@
 	<key>WindowOrderList</key>
 	<array>
-		<string>E1F413F80DC6A6C9007D6009</string>
+		<string>1C530D5B069F1CE1000CFCEE</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
+		<string>1C530D54069F1CE1000CFCEE</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
@@ -647,4 +649,6 @@
 						</dict>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -688,5 +692,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E1C9F7F30DC6DE54009A48DE</string>
+				<string>E11515DD0DCBFBE1006DD925</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -808,11 +812,11 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E1C9F7F40DC6DE54009A48DE</string>
+				<string>E11515DE0DCBFBE1006DD925</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E1C9F7F50DC6DE54009A48DE</string>
-				<string>E1C9F7F60DC6DE54009A48DE</string>
-				<string>E1C9F7F70DC6DE54009A48DE</string>
-				<string>E1C9F7F80DC6DE54009A48DE</string>
-				<string>E1C9F7F90DC6DE54009A48DE</string>
+				<string>E11515DF0DCBFBE1006DD925</string>
+				<string>E11515E00DCBFBE1006DD925</string>
+				<string>E11515E10DCBFBE1006DD925</string>
+				<string>E11515E20DCBFBE1006DD925</string>
+				<string>E11515E30DCBFBE1006DD925</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -846,5 +850,5 @@
 										<string>1CDD528C0622207200134675</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>&lt;No Editor&gt;</string>
+										<string></string>
 										<key>StatusBarVisibility</key>
 										<true/>
@@ -904,6 +908,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>E1C9F7FE0DC6DF24009A48DE</string>
-				<string>E1C9F7FF0DC6DF24009A48DE</string>
+				<string>E16E73430DC7E5AE00E72DDC</string>
+				<string>E16E73440DC7E5AE00E72DDC</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -933,4 +937,6 @@
 					<array>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -968,5 +974,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E1F414050DC6A6C9007D6009</string>
+				<string>E11515E50DCBFBE6006DD925</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 474)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 475)
@@ -13,5 +13,5 @@
 		activeArchitecture = i386;
 		activeBuildConfigurationName = Development;
-		activeExecutable = E165AB3C03E7BCDE00050002 /* TextEdit */;
+		activeExecutable = E136EAA103E42F7500050002 /* Terminal */;
 		activeTarget = E1ABAE8D0812F4B2007C5427 /* APE Module */;
 		addToTargets = (
@@ -215,5 +215,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 231139041;
+			PBXPerProjectTemplateStateSaveDate = 231471957;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -690,9 +690,5 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 231139041;
-		};
-		perUserProjectItems = {
-			E1C9F80F0DC6E217009A48DE = E1C9F80F0DC6E217009A48DE /* PBXTextBookmark */;
-			E1C9F8200DC6E6DD009A48DE = E1C9F8200DC6E6DD009A48DE /* PBXTextBookmark */;
+			PBXWorkspaceStateSaveDate = 231471957;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9 /* Source Control */;
@@ -711,8 +707,8 @@
 	E101A6FE0D6D594700AB607D /* ICeCoffEETTView.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {842, 1409}}";
-			sepNavSelRange = "{1777, 0}";
-			sepNavVisRange = "{329, 2661}";
-			sepNavWindowFrame = "{{936, 289}, {901, 889}}";
+			sepNavIntBoundsRect = "{{0, 0}, {842, 1474}}";
+			sepNavSelRange = "{4404, 0}";
+			sepNavVisRange = "{1885, 2519}";
+			sepNavWindowFrame = "{{516, 197}, {901, 889}}";
 		};
 	};
@@ -1011,5 +1007,5 @@
 		hitCount = 0;
 		ignoreCount = 0;
-		modificationTime = 230414808.521198;
+		modificationTime = 231411488.731664;
 		state = 2;
 		symbolName = _NSAutoreleaseNoPool;
@@ -1026,9 +1022,9 @@
 	E1317B2F03DFC4DE00050002 /* ICeCoffEETerminal.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {713, 5196}}";
-			sepNavSelRange = "{9730, 0}";
-			sepNavVisRange = "{8640, 3129}";
+			sepNavIntBoundsRect = "{{0, 0}, {713, 5026}}";
+			sepNavSelRange = "{9478, 44}";
+			sepNavVisRange = "{8809, 3278}";
 			sepNavVisRect = "{{0, 0}, {733, 778}}";
-			sepNavWindowFrame = "{{153, 81}, {772, 816}}";
+			sepNavWindowFrame = "{{305, 25}, {772, 816}}";
 		};
 	};
@@ -1046,5 +1042,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {666, 649}}";
-			sepNavSelRange = "{320, 58}";
+			sepNavSelRange = "{283, 0}";
 			sepNavVisRange = "{25, 1841}";
 			sepNavVisRect = "{{0, 0}, {686, 621}}";
@@ -1197,5 +1193,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {754, 710}}";
-			sepNavSelRange = "{293, 15}";
+			sepNavSelRange = "{66, 0}";
 			sepNavVisRange = "{0, 2038}";
 			sepNavVisRect = "{{0, 0}, {813, 376}}";
@@ -1205,7 +1201,7 @@
 	E14343B403DB4CF200050002 /* ICeCoffEE.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {754, 4967}}";
-			sepNavSelRange = "{5649, 5}";
-			sepNavVisRange = "{4075, 2212}";
+			sepNavIntBoundsRect = "{{0, 0}, {754, 5034}}";
+			sepNavSelRange = "{6797, 60}";
+			sepNavVisRange = "{5916, 2434}";
 			sepNavVisRect = "{{0, 2112}, {774, 708}}";
 			sepNavWindowFrame = "{{848, 311}, {813, 746}}";
@@ -1242,5 +1238,5 @@
 	E14E2AB30C2B774800AC18D0 /* ICeCoffEEParser.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {1070, 1047}}";
+			sepNavIntBoundsRect = "{{0, 0}, {1070, 1073}}";
 			sepNavSelRange = "{161, 0}";
 			sepNavVisRange = "{0, 742}";
@@ -1251,9 +1247,9 @@
 	E14E2AB40C2B774800AC18D0 /* ICeCoffEEParser.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {1070, 2750}}";
-			sepNavSelRange = "{5292, 61}";
-			sepNavVisRange = "{3211, 4409}";
+			sepNavIntBoundsRect = "{{0, 0}, {771, 3014}}";
+			sepNavSelRange = "{895, 0}";
+			sepNavVisRange = "{0, 3590}";
 			sepNavVisRect = "{{0, 110}, {733, 778}}";
-			sepNavWindowFrame = "{{491, 69}, {1129, 1109}}";
+			sepNavWindowFrame = "{{90, 55}, {830, 1123}}";
 		};
 	};
@@ -1306,7 +1302,7 @@
 	E14E2B330C2CBFB200AC18D0 /* TestParser.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {713, 1980}}";
+			sepNavIntBoundsRect = "{{0, 0}, {713, 2002}}";
 			sepNavSelRange = "{718, 0}";
-			sepNavVisRange = "{0, 2002}";
+			sepNavVisRange = "{3297, 1900}";
 			sepNavVisRect = "{{0, 154}, {733, 778}}";
 			sepNavWindowFrame = "{{828, 355}, {772, 816}}";
@@ -1315,9 +1311,9 @@
 	E14E2BC20C2CC28500AC18D0 /* urls.plist */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {713, 1166}}";
-			sepNavSelRange = "{0, 2464}";
+			sepNavIntBoundsRect = "{{0, 0}, {713, 1397}}";
+			sepNavSelRange = "{2198, 0}";
 			sepNavVisRange = "{0, 1670}";
 			sepNavVisRect = "{{0, 0}, {733, 778}}";
-			sepNavWindowFrame = "{{717, 64}, {772, 816}}";
+			sepNavWindowFrame = "{{828, 355}, {772, 816}}";
 		};
 	};
@@ -1333,5 +1329,5 @@
 		ignoreCount = 0;
 		location = libobjc.A.dylib;
-		modificationTime = 230414808.521209;
+		modificationTime = 231411488.7316781;
 		state = 1;
 		symbolName = objc_exception_throw;
@@ -1511,5 +1507,5 @@
 		ignoreCount = 0;
 		location = APEManagerPrefPane;
-		modificationTime = 230414821.612732;
+		modificationTime = 231411574.849426;
 		state = 1;
 		symbolName = "-[ICeCoffEEMenuOutlineView becomeFirstResponder]";
@@ -1624,9 +1620,9 @@
 	E191FC9D0831B8FB003B09BC /* ICeCoffEEServices.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {782, 1859}}";
-			sepNavSelRange = "{1262, 0}";
-			sepNavVisRange = "{0, 3501}";
+			sepNavIntBoundsRect = "{{0, 0}, {782, 1824}}";
+			sepNavSelRange = "{4012, 0}";
+			sepNavVisRange = "{1695, 3177}";
 			sepNavVisRect = "{{0, 0}, {802, 929}}";
-			sepNavWindowFrame = "{{1066, 178}, {841, 967}}";
+			sepNavWindowFrame = "{{168, 174}, {841, 967}}";
 		};
 	};
@@ -1811,7 +1807,7 @@
 	E1BF166A03DBE27000050002 /* ICeCoffEEWebKit.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {852, 2770}}";
-			sepNavSelRange = "{6139, 0}";
-			sepNavVisRange = "{4807, 3643}";
+			sepNavIntBoundsRect = "{{0, 0}, {852, 2714}}";
+			sepNavSelRange = "{3016, 0}";
+			sepNavVisRange = "{5659, 3356}";
 			sepNavVisRect = "{{0, 0}, {828, 868}}";
 			sepNavWindowFrame = "{{86, 16}, {911, 1011}}";
@@ -1876,24 +1872,4 @@
 		};
 	};
-	E1C9F80F0DC6E217009A48DE /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 110";
-		rLen = 0;
-		rLoc = 7202;
-		rType = 0;
-		vrLen = 2574;
-		vrLoc = 5845;
-	};
-	E1C9F8200DC6E6DD009A48DE /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = F56276C20379923401AA4DA5 /* English */;
-		name = "English: 110";
-		rLen = 0;
-		rLoc = 7202;
-		rType = 0;
-		vrLen = 2574;
-		vrLoc = 5845;
-	};
 	E1CBC99803E7602700050002 /* English */ = {
 		uiCtxt = {
@@ -1943,6 +1919,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {715, 6436}}";
-			sepNavSelRange = "{7202, 0}";
-			sepNavVisRect = "{{0, 2107}, {715, 709}}";
+			sepNavSelRange = "{6980, 0}";
+			sepNavVisRect = "{{0, 2135}, {715, 709}}";
 			sepNavWindowFrame = "{{762, 278}, {754, 746}}";
 		};
@@ -1958,7 +1934,7 @@
 	F9A6986E03BE1DF000AA4DA5 /* APEMain.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {797, 3566}}";
-			sepNavSelRange = "{4930, 0}";
-			sepNavVisRange = "{2998, 3583}";
+			sepNavIntBoundsRect = "{{0, 0}, {797, 3581}}";
+			sepNavSelRange = "{922, 11}";
+			sepNavVisRange = "{0, 2627}";
 			sepNavVisRect = "{{0, 566}, {813, 376}}";
 			sepNavWindowFrame = "{{697, 161}, {856, 915}}";
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 474)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 475)
@@ -219,5 +219,5 @@
 		E14E2B1D0C2CBF1500AC18D0 /* TestParser */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = TestParser; sourceTree = BUILT_PRODUCTS_DIR; };
 		E14E2B330C2CBFB200AC18D0 /* TestParser.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = TestParser.m; sourceTree = "<group>"; };
-		E14E2BC20C2CC28500AC18D0 /* urls.plist */ = {isa = PBXFileReference; fileEncoding = 30; lastKnownFileType = text.plist; path = urls.plist; sourceTree = "<group>"; };
+		E14E2BC20C2CC28500AC18D0 /* urls.plist */ = {isa = PBXFileReference; fileEncoding = 4; indentWidth = 2; lastKnownFileType = text.plist; path = urls.plist; sourceTree = "<group>"; };
 		E14E2D3E0C2CD1A000AC18D0 /* ApplicationServices.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = ApplicationServices.framework; path = /System/Library/Frameworks/ApplicationServices.framework; sourceTree = "<absolute>"; };
 		E15D2BA80DB904DF006486EE /* ICeCoffEEWebPDFView.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = ICeCoffEEWebPDFView.h; sourceTree = "<group>"; };
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 474)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 475)
@@ -13,5 +13,5 @@
 #include <CoreFoundation/CoreFoundation.h>
 
-#define ICCF_DEBUG 1
+#define ICCF_DEBUG 0
 
 #if ICCF_DEBUG
Index: trunk/ICeCoffEE/ICeCoffEE/VERSION.xcconfig
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/VERSION.xcconfig	(revision 474)
+++ trunk/ICeCoffEE/ICeCoffEE/VERSION.xcconfig	(revision 475)
@@ -1,1 +1,1 @@
-CURRENT_MARKETING_VERSION=1.5b2
+CURRENT_MARKETING_VERSION=1.5b3