Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 475)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.mode2v3	(revision 476)
@@ -335,5 +335,5 @@
 									<array>
 										<array>
-											<integer>1</integer>
+											<integer>6</integer>
 											<integer>0</integer>
 										</array>
@@ -435,6 +435,6 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E11515E60DCBFBF4006DD925</string>
-				<string>E11515E70DCBFBF4006DD925</string>
+				<string>E168FE6B0DCD9F8100701EAC</string>
+				<string>E168FE6C0DCD9F8100701EAC</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
@@ -467,7 +467,8 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>1C530D52069F1CE1000CFCEE</string>
 		<string>1C530D5B069F1CE1000CFCEE</string>
-		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>1C530D54069F1CE1000CFCEE</string>
+		<string>E168FE700DCD9F9D00701EAC</string>
 		<string>/Users/nicholas/Documents/Development/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj</string>
 	</array>
@@ -649,6 +650,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -692,5 +691,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E11515DD0DCBFBE1006DD925</string>
+				<string>E168FE730DCD9F9D00701EAC</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -786,8 +785,8 @@
 									<string>{{463, 0}, {344, 310}}</string>
 									<key>RubberWindowFrame</key>
-									<string>11 118 807 570 0 0 1920 1178 </string>
+									<string>11 181 807 570 0 0 1920 1178 </string>
 								</dict>
 								<key>RubberWindowFrame</key>
-								<string>11 118 807 570 0 0 1920 1178 </string>
+								<string>11 181 807 570 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -812,16 +811,16 @@
 			<array>
 				<string>1C530D54069F1CE1000CFCEE</string>
-				<string>E11515DE0DCBFBE1006DD925</string>
+				<string>E168FE770DCDA10A00701EAC</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>E11515DF0DCBFBE1006DD925</string>
-				<string>E11515E00DCBFBE1006DD925</string>
-				<string>E11515E10DCBFBE1006DD925</string>
-				<string>E11515E20DCBFBE1006DD925</string>
-				<string>E11515E30DCBFBE1006DD925</string>
+				<string>E168FE780DCDA10A00701EAC</string>
+				<string>E168FE790DCDA10A00701EAC</string>
+				<string>E168FE7A0DCDA10A00701EAC</string>
+				<string>E168FE7B0DCDA10A00701EAC</string>
+				<string>E168FE7C0DCDA10A00701EAC</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debugV3</string>
 			<key>WindowString</key>
-			<string>11 118 807 570 0 0 1920 1178 </string>
+			<string>11 181 807 570 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D54069F1CE1000CFCEE</string>
@@ -951,5 +950,5 @@
 								<string>{{0, 0}, {752, 555}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1129 56 752 596 0 0 1920 1178 </string>
+								<string>472 155 752 596 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -974,5 +973,5 @@
 			<array>
 				<string>1C530D5B069F1CE1000CFCEE</string>
-				<string>E11515E50DCBFBE6006DD925</string>
+				<string>E168FE6E0DCD9F9C00701EAC</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -980,5 +979,5 @@
 			<string>xcode.toolbar.config.consoleV3</string>
 			<key>WindowString</key>
-			<string>1129 56 752 596 0 0 1920 1178 </string>
+			<string>472 155 752 596 0 0 1920 1178 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D5B069F1CE1000CFCEE</string>
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 475)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 476)
@@ -13,6 +13,6 @@
 		activeArchitecture = i386;
 		activeBuildConfigurationName = Development;
-		activeExecutable = E136EAA103E42F7500050002 /* Terminal */;
-		activeTarget = E1ABAE8D0812F4B2007C5427 /* APE Module */;
+		activeExecutable = E14E2B1E0C2CBF1500AC18D0 /* TestParser */;
+		activeTarget = E14E2B1C0C2CBF1500AC18D0 /* TestParser */;
 		addToTargets = (
 			E1ABAE8D0812F4B2007C5427 /* APE Module */,
@@ -215,5 +215,5 @@
 				);
 			};
-			PBXPerProjectTemplateStateSaveDate = 231471957;
+			PBXPerProjectTemplateStateSaveDate = 231579511;
 			PBXPrepackagedSmartGroups_v2 = (
 				{
@@ -690,5 +690,5 @@
 				WindowFrame = "{{524, 473}, {756, 352}}";
 			};
-			PBXWorkspaceStateSaveDate = 231471957;
+			PBXWorkspaceStateSaveDate = 231579511;
 		};
 		sourceControlManager = E12B21580548C9B600CFF4E9 /* Source Control */;
@@ -1041,7 +1041,7 @@
 	E135625E03DC9FC200050002 /* ICeCoffEEShared.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {666, 649}}";
-			sepNavSelRange = "{283, 0}";
-			sepNavVisRange = "{25, 1841}";
+			sepNavIntBoundsRect = "{{0, 0}, {666, 671}}";
+			sepNavSelRange = "{309, 0}";
+			sepNavVisRange = "{25, 1835}";
 			sepNavVisRect = "{{0, 0}, {686, 621}}";
 			sepNavWindowFrame = "{{269, 65}, {725, 659}}";
@@ -1302,9 +1302,9 @@
 	E14E2B330C2CBFB200AC18D0 /* TestParser.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {713, 2002}}";
-			sepNavSelRange = "{718, 0}";
-			sepNavVisRange = "{3297, 1900}";
+			sepNavIntBoundsRect = "{{0, 0}, {713, 1843}}";
+			sepNavSelRange = "{3657, 0}";
+			sepNavVisRange = "{1432, 2258}";
 			sepNavVisRect = "{{0, 154}, {733, 778}}";
-			sepNavWindowFrame = "{{828, 355}, {772, 816}}";
+			sepNavWindowFrame = "{{984, 260}, {772, 816}}";
 		};
 	};
@@ -1571,5 +1571,5 @@
 	E182C8F603DE817F00050002 /* ICeCoffEEShared.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {666, 600}}";
+			sepNavIntBoundsRect = "{{0, 0}, {666, 623}}";
 			sepNavSelRange = "{729, 0}";
 			sepNavVisRange = "{0, 2212}";
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 475)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/project.pbxproj	(revision 476)
@@ -949,4 +949,5 @@
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/Foundation.framework/Headers/Foundation.h";
+				GCC_PREPROCESSOR_DEFINITIONS = "ICCF_DEBUG=1";
 				INSTALL_PATH = "$(HOME)/bin";
 				PRODUCT_NAME = TestParser;
@@ -962,4 +963,5 @@
 				GCC_PRECOMPILE_PREFIX_HEADER = YES;
 				GCC_PREFIX_HEADER = "$(SYSTEM_LIBRARY_DIR)/Frameworks/Foundation.framework/Headers/Foundation.h";
+				GCC_PREPROCESSOR_DEFINITIONS = "ICCF_DEBUG=1";
 				INSTALL_PATH = "$(HOME)/bin";
 				PRODUCT_NAME = TestParser;
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 475)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEEShared.h	(revision 476)
@@ -13,5 +13,7 @@
 #include <CoreFoundation/CoreFoundation.h>
 
+#ifndef ICCF_DEBUG
 #define ICCF_DEBUG 0
+#endif
 
 #if ICCF_DEBUG
Index: trunk/ICeCoffEE/ICeCoffEE/TestParser.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/TestParser.m	(revision 475)
+++ trunk/ICeCoffEE/ICeCoffEE/TestParser.m	(revision 476)
@@ -102,6 +102,15 @@
 CFBundleRef ICCF_bundle = NULL;
 
+// from http://jens.ayton.se/code/files/JANSLogHack.m
+extern void _NSSetLogCStringFunction(void (*)(const char *string, unsigned length, BOOL withSyslogBanner));
+
+static void PrintNSLogMessage(const char *string, unsigned length, BOOL withSyslogBanner) {
+    puts(string);
+}
+
 int main(int argc, char *argv[]) {
     NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
+    
+    _NSSetLogCStringFunction(PrintNSLogMessage);
     
     NSArray *a = [NSArray arrayWithContentsOfFile: @"urls.plist"];