Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist	(revision 480)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Info.plist	(revision 481)
@@ -8,5 +8,5 @@
 	<string>Unsanity Installer</string>
 	<key>CFBundleGetInfoString</key>
-	<string>Unsanity Installer version 3.7, Copyright ©2002-2008 Unsanity LLC.</string>
+	<string>Unsanity Installer version 3.7.1, Copyright ©2002-2008 Unsanity LLC.</string>
 	<key>CFBundleIconFile</key>
 	<string>ui.icns</string>
@@ -20,5 +20,5 @@
 	<string>????</string>
 	<key>CFBundleVersion</key>
-	<string>3.7</string>
+	<string>3.7.1</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings	(revision 480)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings	(revision 481)
@@ -1,3 +1,3 @@
-/* Incompatible OSX Panel */
+﻿/* Incompatible OSX Panel */
 "Incompatible Mac OS X Version" = "Incompatible Mac OS X Version";
 "%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system.";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/classes.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/classes.nib	(revision 480)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/classes.nib	(revision 481)
@@ -1,53 +1,131 @@
-{
-    IBClasses = (
-        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }, 
-        {CLASS = UIBigTextField; LANGUAGE = ObjC; SUPERCLASS = NSTextField; }, 
-        {
-            ACTIONS = {
-                doAPEHomePage = id; 
-                doBackButton = id; 
-                doContinueButton = id; 
-                doLicenseAgree = id; 
-                doLicenseDisagree = id; 
-                doShowInstallFiles = id; 
-                doUninstallCancel = id; 
-                doUninstallConfirm = id; 
-            }; 
-            CLASS = UIController; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {
-                apeCurrentVersionText = id; 
-                apeInstallVersionText = id; 
-                cautionIconWell = NSImageView; 
-                currentStepName = id; 
-                donLogOutText = NSBox; 
-                dotView = UIProgressDotView; 
-                filFilesTable = id; 
-                filWindow = id; 
-                genBackButton = id; 
-                genContinueButton = id; 
-                insProgress = NSProgressIndicator; 
-                insProgressText = NSTextField; 
-                installerBackground = NSImageView; 
-                licAgreePanel = id; 
-                licTextView = id; 
-                optCreateLog = id; 
-                optGlobalInstallMatrix = id; 
-                optOpenUponCompletion = id; 
-                redExplanationText = id; 
-                remTextView = id; 
-                tabView = id; 
-                uiVersionField = id; 
-                uipPlaceholderView = id; 
-                uniAuthRequiredText = id; 
-                uniExplanationText = id; 
-                uniFilesTable = id; 
-                uniPanel = id; 
-            }; 
-            SUPERCLASS = NSWindowController; 
-        }, 
-        {CLASS = UIProgressDotView; LANGUAGE = ObjC; SUPERCLASS = NSMatrix; }, 
-        {CLASS = URLTextView; LANGUAGE = ObjC; SUPERCLASS = NSTextView; }
-    ); 
-    IBVersion = 1; 
-}
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+	<key>IBClasses</key>
+	<array>
+		<dict>
+			<key>CLASS</key>
+			<string>FirstResponder</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>URLTextView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSTextView</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>UIBigTextField</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSTextField</string>
+		</dict>
+		<dict>
+			<key>ACTIONS</key>
+			<dict>
+				<key>doAPEHomePage</key>
+				<string>id</string>
+				<key>doBackButton</key>
+				<string>id</string>
+				<key>doContinueButton</key>
+				<string>id</string>
+				<key>doLicenseAgree</key>
+				<string>id</string>
+				<key>doLicenseDisagree</key>
+				<string>id</string>
+				<key>doShowInstallFiles</key>
+				<string>id</string>
+				<key>doUninstallCancel</key>
+				<string>id</string>
+				<key>doUninstallConfirm</key>
+				<string>id</string>
+			</dict>
+			<key>CLASS</key>
+			<string>UIController</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>OUTLETS</key>
+			<dict>
+				<key>apeCurrentVersionText</key>
+				<string>id</string>
+				<key>apeInstallVersionText</key>
+				<string>id</string>
+				<key>cautionIconWell</key>
+				<string>NSImageView</string>
+				<key>currentStepName</key>
+				<string>NSTextField</string>
+				<key>donLogOutText</key>
+				<string>NSBox</string>
+				<key>dotView</key>
+				<string>UIProgressDotView</string>
+				<key>filFilesTable</key>
+				<string>id</string>
+				<key>filWindow</key>
+				<string>id</string>
+				<key>genBackButton</key>
+				<string>id</string>
+				<key>genContinueButton</key>
+				<string>id</string>
+				<key>insProgress</key>
+				<string>NSProgressIndicator</string>
+				<key>insProgressText</key>
+				<string>NSTextField</string>
+				<key>installerBackground</key>
+				<string>NSImageView</string>
+				<key>licAgreePanel</key>
+				<string>id</string>
+				<key>licTextView</key>
+				<string>id</string>
+				<key>mUIPlugin</key>
+				<string>id</string>
+				<key>optCreateLog</key>
+				<string>id</string>
+				<key>optGlobalInstallMatrix</key>
+				<string>id</string>
+				<key>optGlobalInstallMatrixLabel</key>
+				<string>id</string>
+				<key>optOpenUponCompletion</key>
+				<string>id</string>
+				<key>redExplanationText</key>
+				<string>id</string>
+				<key>remTextView</key>
+				<string>id</string>
+				<key>tabView</key>
+				<string>id</string>
+				<key>uiVersionField</key>
+				<string>NSTextField</string>
+				<key>uipPlaceholderView</key>
+				<string>NSView</string>
+				<key>uniAuthRequiredText</key>
+				<string>id</string>
+				<key>uniExplanationText</key>
+				<string>id</string>
+				<key>uniFilesTable</key>
+				<string>id</string>
+				<key>uniPanel</key>
+				<string>id</string>
+			</dict>
+			<key>SUPERCLASS</key>
+			<string>NSWindowController</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>UIProgressDotView</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSMatrix</string>
+		</dict>
+	</array>
+	<key>IBVersion</key>
+	<string>1</string>
+</dict>
+</plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib	(revision 480)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/MainMenu.nib/info.nib	(revision 481)
@@ -1,23 +1,23 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
 <plist version="1.0">
 <dict>
-	<key>IBDocumentLocation</key>
-	<string>73 168 356 240 0 0 1280 1002 </string>
-	<key>IBEditorPositions</key>
-	<dict>
-		<key>29</key>
-		<string>370 197 209 44 0 0 1280 1002 </string>
-	</dict>
 	<key>IBFramework Version</key>
-	<string>446.1</string>
+	<string>670</string>
+	<key>IBLastKnownRelativeProjectPath</key>
+	<string>../Unsanity Installer.xcodeproj</string>
+	<key>IBOldestOS</key>
+	<integer>5</integer>
 	<key>IBOpenObjects</key>
 	<array>
-		<integer>29</integer>
-		<integer>21</integer>
-		<integer>330</integer>
+		<integer>2</integer>
+		<integer>331</integer>
+		<integer>279</integer>
+		<integer>340</integer>
 	</array>
 	<key>IBSystem Version</key>
-	<string>8J135</string>
+	<string>9E17</string>
+	<key>targetFramework</key>
+	<string>IBCocoaFramework</string>
 </dict>
 </plist>
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings	(revision 480)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/InfoPlist.strings	(revision 481)
@@ -2,4 +2,4 @@
 
 CFBundleName = "Unsanity Installer";
-CFBundleGetInfoString = "Unsanity Installer versione 3.7";
+CFBundleGetInfoString = "Unsanity Installer versione 3.7.1";
 NSHumanReadableCopyright = "Copyright ©2002-2008, Unsanity LLC.";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings	(revision 480)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/Italian.lproj/Localizable.strings	(revision 481)
@@ -1,3 +1,3 @@
-/* Incompatible OSX Panel */
+﻿/* Incompatible OSX Panel */
 "Incompatible Mac OS X Version" = "Versione Mac OS X Incompatibile";
 "%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ richiede almeno Mac OS X %@. Hai una versione precedente installata. Per favore Aggiorna o scarica una versione precedente di %@ che sia compatibile col tuo sistema.";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/InfoPlist.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/InfoPlist.strings	(revision 480)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/InfoPlist.strings	(revision 481)
@@ -2,4 +2,4 @@
 
 CFBundleName = "Instalador Unsanity";
-CFBundleGetInfoString = "Instalador Unsanity versión 3.7";
+CFBundleGetInfoString = "Instalador Unsanity versión 3.7.1";
 NSHumanReadableCopyright = "Copyright ©2002-2008, Unsanity LLC.";
Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/Localizable.strings	(revision 480)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/es.lproj/Localizable.strings	(revision 481)
@@ -1,3 +1,3 @@
-/* Incompatible OSX Panel */
+﻿/* Incompatible OSX Panel */
 "Incompatible Mac OS X Version" = "Versión de Mac OS X incompatible";
 "%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ requiere al menos Mac OS X %@. Usted tiene instalada una versión antigua. Por favor, actualice o descargue una versión de %@ que sea compatible con su sistema.";