Index: trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings	(revision 481)
+++ trunk/ICeCoffEE/ICeCoffEE/Installer components/ICeCoffEE Installer.app/Contents/Resources/English.lproj/Localizable.strings	(revision 483)
@@ -1,3 +1,3 @@
-﻿/* Incompatible OSX Panel */
+/* Incompatible OSX Panel */
 "Incompatible Mac OS X Version" = "Incompatible Mac OS X Version";
 "%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system." = "%@ reqires at least Mac OS X %@. You have an older version installed. Please upgrade or download an older version of %@ that will be compatible with your system.";
@@ -9,10 +9,10 @@
 "Already Installed For This User" = "Already Installed For This User";
 "Install For All Users" = "Install For All Users";
-"When you click \"Continue\", you will be asked to authenticate with your administrator password, if needed. This is done because certain components of this software has to be installed system-wide in order to function properly." = "When you click \"Continue\", you will be asked to authenticate with your administrator password, if needed. This is done because certain components of this software has to be installed system-wide in order to function properly.";
+"When you click \"Continue\", you will be asked to authenticate with your administrator password, if needed. This is done because certain components of this software has to be installed system-wide in order to function properly." = "When you click “Continue”, you will be asked to authenticate with your administrator password, if needed. Authentication is necessary because certain components of this product have to be installed system-wide in order to function properly.";
 
 /* Install Table Strings */
 "Application Enhancer" = "Application Enhancer";
-"Installed \"%@\"" = "Installed \"%@\"";
-"Created folder \"%@\"" = "Created folder \"%@\"";
+"Installed \"%@\"" = "Installed “%@”";
+"Created folder \"%@\"" = "Created folder “%@”";
 "Uninstalled previously installed" = "Uninstalled previously installed";
 "(files were moved to the Trash)" = "(files were moved to the Trash)";
@@ -25,5 +25,5 @@
 /* Authentication Failed Panel */
 "Authentication Failed" = "Authentication Failed";
-"You have failed to enter the administrator password; this installer requires Administrator privileges to install the software you have selected. Please try again." = "You have failed to enter the administrator password; this installer requires Administrator privileges to install the software you have selected. Please try again.";
+"You have failed to enter the administrator password; this installer requires Administrator privileges to install the software you have selected. Please try again." = "You have failed to authenticate as an administrator. This installer requires administrative privileges to install the software you have selected. Please try again.";
 
 /* Button Titles */
@@ -42,5 +42,5 @@
 
 /* Options Tab */
-"Open \"%@\" %@ Upon Completion" = "Open \"%@\" %@ Upon Completion";
+"Open \"%@\" %@ Upon Completion" = "Open “%@” %@ Upon Completion";
 
 /* Ready Tab */
@@ -75,6 +75,6 @@
 
 /* Done Tab */
-"When you click the \"Quit\" button below, the installed product will be launched, and this Installer will quit." = "When you click the \"Quit\" button below, the installed product will be launched, and this Installer will quit.";
-"When you click the \"Quit\" button below, this Installer will quit." = "When you click the \"Quit\" button below, this Installer will quit.";
+"When you click the \"Quit\" button below, the installed product will be launched, and this Installer will quit." = "When you click the “Quit” button below, the installed product will be launched, and this installer will quit.";
+"When you click the \"Quit\" button below, this Installer will quit." = "When you click the “Quit” button below, this installer will quit.";
 "You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!" = "You are strongly advised to log out or restart your computer in order for the installed product to completely take effect. Thank you!";
 